r"""

==================================================================
io - Input and output for MSM related files (:mod:`pyemma.msm.io`)
==================================================================

.. currentmodule:: pyemma.msm.io

Discrete trajectory io
======================

.. autosummary::
   :toctree: generated/
   
   read_discrete_trajectory - read microstate trajectoryfrom ascii file
   read_dtraj
   write_discrete_trajectory - write microstate trajectory to ascii file
   write_dtraj
   load_discrete_trajectory - read microstate trajectoryfrom biqqnary file
   load_dtraj
   save_discrete_trajectory -  write microstate trajectory to binary file
   save_dtraj

Dense and sparse matrix io
==========================

.. autosummary::
   :toctree: generated/

   read_matrix - read matrix from ascii file
   write_matrix - write matrix to ascii file
   load_matrix - read matrix from binary file
   save_matrix - write matrix to binary file   

"""

from .api import *


